<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Travelia
 */

get_header();
?>

<!-- Start Service Area -->
<section id="service" class="service section" >
	<div class="container">
		<div class="row">
			<div class="col-12">
				<div class="title-line center">
					<?php
					$why_choose_title = get_theme_mod('travelia_why_choose_page_title');
					$queried_post = get_post($why_choose_title);	
					?>
					<h2><?php echo esc_html($queried_post->post_title); ?></h2>
					<p><?php echo esc_html($queried_post->post_content); ?></p>
					<?php wp_reset_postdata(); ?>
				</div>
			</div>
		</div>
		<div class="row">
			<?php
			$args = array(
				'post_type' => 'why_choose',
				'posts_per_page' => 12,
				'post_status' => 'publish',
			);
			$serviceloop = new WP_Query($args);
			if ( $serviceloop->have_posts() ) :
				while ($serviceloop->have_posts()) : 
					$serviceloop->the_post(); 
					?>
					<!-- single-service -->
					<div class="col-lg-4 col-md-6 col-sm-12">
						<?php $value = get_post_meta( get_the_ID(), '_why_choose_icon_value_key', true );?>
						<div class="single-service active">
							<div class="single-content">
								<span><i class="<?php echo esc_attr($value); ?>"></i></span>
								<h4><a href="<?php the_permalink();?>"><?php the_title();?></a></h4>
								<?php the_excerpt();?>
								<a href="<?php the_permalink();?>" class="more"><?php esc_html_e( 'Read More', 'travelia-pro' );?></a>
							</div>
						</div>
					</div>
					<!--/End single-service -->
				<?php endwhile;
			endif;
			wp_reset_postdata();
			?>    
		</div>
	</div>
</section>
<!--/End Start Service Area -->	

<?php

get_template_part( 'sections/section', 'clients' );

get_footer();
